Package: pecomato / 0.0.15-7

warning.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
Description: fix warning “incompatible implicit declaration of built-in function '_exit'”
Author: Ricardo Mones <mones@debian.org>
Last-Update: 2013-09-23
diff -urN a/util.c b/util.c
--- a/util.c
+++ b/util.c
@@ -12,11 +12,7 @@
 #include <stdlib.h>
 #include <stdio.h>
 #ifndef OS_WIN32
-#ifdef __GNUC__ 
-#if (__GNUC__ < 4)
-#include <unistd.h>
-#endif
-#else
+#ifdef __GNUC__
 #include <unistd.h>
 #endif
 #endif